#include "config_p.hpp"
#include "git_info_p.hpp"

#include <QCoreApplication>
#include <QDebug>
#if QT_VERSION >= 0x051000
#include <QtCore/private/minimum-linux_p.h>
#endif

int main( int argc, char** argv )
{
	QCoreApplication app( argc, argv );

	qDebug() << QString( "Qt version: %1.%2.%3" ).arg( QT_VERSION_MAJOR ).arg( QT_VERSION_MINOR ).arg( QT_VERSION_PATCH );
	#if QT_VERSION >= 0x051000
	qDebug() << QString( "Min Linux: %1.%2.%3" ).arg( MINLINUX_MAJOR ).arg( MINLINUX_MINOR ).arg( MINLINUX_PATCH );
	#endif

	return( 0 );
}
